﻿body {
    padding-top: 90px;
}


/*Remueve los spinners*/
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


input[type="file"] {
    width: 400px;
}


/*Modificaciones y Accordion*/

.modal-widht{
    width: 800px !important;
}

.modal-body-mod {
    height: auto;
    overflow-y: auto;
}

@media (min-height: 500px) {
    .modal-body-mod {
        max-height: 400px;
    }
}

@media (min-height: 800px) {
    .modal-body-mod {
        max-height: 740px;
    }
}

.modal_over {
    z-index: 1052 !important;
}

.modal-backdrop.show:nth-of-type(even) {
    z-index: 1051 !important;
}
.modal-backdrop {
    visibility: hidden !important;
}

.modal.in {
    background-color: rgba(0,0,0,0.5);
}
.panel-accordion{
    height:100px;
}

.accordion-No-display{
    display:none;
}

.accordion-display {
    display: table-row;
}

.table_mod {
    width: 80% !important;
    margin: 20px auto 10px auto !important;
    
}
.divbtnMod {
    float: right;
    margin: 20px 10% 20px 0;
}

.lblModificaciones {
    float: left;
    margin-left:10%;
}

.height_55px{
    height:55px;
}
/*Fin accordion*/

.spnFechaINModificacion {
    float: right;
    margin-right: 10%;
}

.width_24 {
    width: 24px;
}
.width_17 {
    width: 17px;
    margin-left: 5px;
}

.textNavegador {
    font-size: 12px;
    color: #7d7d7d;
    display: inline;
}
.logos {
    display: inline;
    float: right;
    width: 20%;
   
}
.footer_text {
    display: inline;
    margin-left: 20%;
    text-align:center;
}

.centerBlock {
    margin-left: auto;
    margin-right: auto;
    margin-top: 10px;
    display: block;
    text-align: center;
}

.spCondicion {
    /*font-weight: bold;*/
}
.selectpicker {
    padding: .4em 1em;
    border: 1px solid #c5c5c5;
    background: #e4e4e4;
}

.selectpicker-150px {
    width: 150px;
}
.selectpicker-100px {
    width: 100px;
}
.selectpicker-200px {
    width: 200px;
}
.green_2 {
    color: #05d418;
    float: right;
    z-index: 9999;
}

.red {
    color: red;
}

.green {
    color: green;
}
.btn {
    margin: 2px;
}
.btn-home {
    float: left;
    margin-left: 5%;
    border-color: #005085 !important;
    color: #005085 !important;
}
.backgroudIN {
    background: #f3f3f3;
}
.encabezadoTransportes {
    font-size: 12px;
    color: #7d7d7d;
    text-align:center;
}
.hr_td {
    margin: 5px 0 5px 0 !important;
    border: 0 !important;
    border-top: 1px solid #dddddd !important;
}
.centerNoBlock {
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

a, a:hover{
  color:#333
}

.body-content {
    padding-top: 40px;
    overflow-y: auto; /* Habilita el scroll vertical en la página */
    height: 100%; /* Asegura que el body ocupe toda la altura de la ventana */
}

html, body {
    height: auto !important;
    position: relative !important;
    background-color: #FFF !important;
}

[ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
    display: none !important;
}


.navbar-fixed-top .nav {
    padding: 15px 0;
}

.navbar-fixed-top .navbar-brand {
    padding: 0 15px;
}

.navbar-nav a {
    font-style: normal;
    color: white;
    text-decoration:none;    
}

.navbar-nav a:hover {
    font-style: normal;
    color: darkgray !important;
}

.gradient {
    background: rgb(22,73,153); /* Old browsers */
    /* IE9 SVG, needs conditional override of 'filter' to 'none' */
    background: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiA/Pgo8c3ZnIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjEwMCUiIGhlaWdodD0iMTAwJSIgdmlld0JveD0iMCAwIDEgMSIgcHJlc2VydmVBc3BlY3RSYXRpbz0ibm9uZSI+CiAgPGxpbmVhckdyYWRpZW50IGlkPSJncmFkLXVjZ2ctZ2VuZXJhdGVkIiBncmFkaWVudFVuaXRzPSJ1c2VyU3BhY2VPblVzZSIgeDE9IjAlIiB5MT0iMCUiIHgyPSIwJSIgeTI9IjEwMCUiPgogICAgPHN0b3Agb2Zmc2V0PSIwJSIgc3RvcC1jb2xvcj0iIzE2NDk5OSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjMyJSIgc3RvcC1jb2xvcj0iIzFkM2M3ZSIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjY0JSIgc3RvcC1jb2xvcj0iIzE2Mjc1OCIgc3RvcC1vcGFjaXR5PSIxIi8+CiAgICA8c3RvcCBvZmZzZXQ9IjEwMCUiIHN0b3AtY29sb3I9IiMwZDE0M2UiIHN0b3Atb3BhY2l0eT0iMSIvPgogIDwvbGluZWFyR3JhZGllbnQ+CiAgPHJlY3QgeD0iMCIgeT0iMCIgd2lkdGg9IjEiIGhlaWdodD0iMSIgZmlsbD0idXJsKCNncmFkLXVjZ2ctZ2VuZXJhdGVkKSIgLz4KPC9zdmc+);
    background: -moz-linear-gradient(top, rgb(22,73,153) 0%, rgb(29,60,126) 32%, rgb(22,39,88) 64%, rgb(13,20,62) 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgb(22,73,153)), color-stop(32%,rgb(29,60,126)), color-stop(64%,rgb(22,39,88)), color-stop(100%,rgb(13,20,62))); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, rgb(22,73,153) 0%,rgb(29,60,126) 32%,rgb(22,39,88) 64%,rgb(13,20,62) 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, rgb(22,73,153) 0%,rgb(29,60,126) 32%,rgb(22,39,88) 64%,rgb(13,20,62) 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top, rgb(22,73,153) 0%,rgb(29,60,126) 32%,rgb(22,39,88) 64%,rgb(13,20,62) 100%); /* IE10+ */
    background: linear-gradient(to bottom, rgb(22,73,153) 0%,rgb(29,60,126) 32%,rgb(22,39,88) 64%,rgb(13,20,62) 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#164999', endColorstr='#0d143e',GradientType=0 ); /* IE6-8 */
}

.gradientNew {
    background: #005085;   
}

@media(min-width:768px) {
    body {
        padding-top: 100px;
    }

    .breadcrumb {
        margin-top: 30px;
    }

    .navbar-fixed-top .navbar-brand {
        padding: 15px 0;
    }
}

.navbar .navbar-nav {
    display: inline-block;
    float: none;
    vertical-align: top;
}

.footer {
    text-align: center;
    background-color: white;
    border-top: solid #dedede 0.5px;
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 9999;
    padding: 4px 0; /* ← Footer más delgado */
    font-size: 13px; /* ← Texto ligeramente más pequeño (opcional) */
}

    .toggleTec {
        position: fixed;
        height: 20px;
        width: 50px;
        margin-left: 2%;
    }

    .tituloTabla {
        border-bottom: solid;
        border-bottom-width: thin;
        border-bottom-color: #005085;
        border-top: solid !important;
        border-top-width: thin !important;
        border-top-color: #005085 !important;
    }

    .tituloSeccion {
        border-radius: 0px;
        background-color: #005085;
        color: white;
        margin: 0px;
        margin-bottom: 10px;
    }

    #nombreAppPortal > h3 {
        color: #005085;
        font: bold;
        font-weight: bold;
    }

    .oculto {
        display: none;
    }

    .table td {
        text-align: center;
        vertical-align: middle !important;
    }

    .table th {
        text-align: center;
    }

    .padButton {
        margin-top: 12px;
    }

    .padButtonBuscar {
        margin-left: 15px;
    }

    .padButtonCrearCategoria {
        margin-left: 25px;
    }

    .popupmodal {
        background: #47A447 !important;
        border-radius: 4px;
        color: white;
    }

    .popupmodalFallido {
        background: #C9302C !important;
        border-radius: 4px;
        color: white;
    }

    .popupmodalAviso {
        background: #EC971F !important;
        border-radius: 4px;
        color: white;
    }

    .popupmodalBlue {
        background: #005085 !important;
        border-radius: 4px;
        color: white;
    }

    .popupmodalGris {
        background-color: #d9d9d9 !important; /* gris más marcado */
        color: #0047a3 !important; /* azul más fuerte */
        border-bottom: 1px solid #bfbfbf; /* línea separadora */
    }    

    .popupmodalConfirmacion {
        background: #005085 !important;
        border-radius: 4px;
        color: white;
    }   

    .posicionDerecha {
        float: right;
    }

    .colpad {
        margin: 0px;
    }

    .btn-generado {
        background-color: hsl(218, 59%, 25%) !important;
        background-repeat: repeat-x;
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#386ecb", endColorstr="#1a3565");
        background-image: -khtml-gradient(linear, left top, left bottom, from(#386ecb), to(#1a3565));
        background-image: -moz-linear-gradient(top, #386ecb, #1a3565);
        background-image: -ms-linear-gradient(top, #386ecb, #1a3565);
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #386ecb), color-stop(100%, #1a3565));
        background-image: -webkit-linear-gradient(top, #386ecb, #1a3565);
        background-image: -o-linear-gradient(top, #386ecb, #1a3565);
        background-image: linear-gradient(#386ecb, #1a3565);
        border-color: #1a3565 #1a3565 hsl(218, 59%, 18.5%);
        color: #fff !important;
        -webkit-font-smoothing: antialiased;
    }

    .btn-generadoNew {
        background: #005085 !important;
        color: #fff !important;
    }

    .btn-generado:hover {
        background-color: hsl(218, 59%, 24%) !important;
        background-repeat: repeat-x;
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#759adb", endColorstr="#193361");
        background-image: -khtml-gradient(linear, left top, left bottom, from(#759adb), to(#193361));
        background-image: -moz-linear-gradient(top, #759adb, #193361);
        background-image: -ms-linear-gradient(top, #759adb, #193361);
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #759adb), color-stop(100%, #193361));
        background-image: -webkit-linear-gradient(top, #759adb, #193361);
        background-image: -o-linear-gradient(top, #759adb, #193361);
        background-image: linear-gradient(#759adb, #193361);
        border-color: #193361 #193361 hsl(218, 59%, 13.5%);
        color: #fff !important;
        -webkit-font-smoothing: antialiased;
    }

    .btn-generadoElim {
        background-color: hsl(0, 86%, 25%) !important;
        background-repeat: repeat-x;
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#ed1616", endColorstr="#760808");
        background-image: -khtml-gradient(linear, left top, left bottom, from(#ed1616), to(#760808));
        background-image: -moz-linear-gradient(top, #ed1616, #760808);
        background-image: -ms-linear-gradient(top, #ed1616, #760808);
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ed1616), color-stop(100%, #760808));
        background-image: -webkit-linear-gradient(top, #ed1616, #760808);
        background-image: -o-linear-gradient(top, #ed1616, #760808);
        background-image: linear-gradient(#ed1616, #760808);
        border-color: #760808 #760808 hsl(0, 86%, 18.5%);
        color: #fff !important;
        -webkit-font-smoothing: antialiased;
    }

        .btn-generadoElim:hover {
            background-color: hsl(0, 86%, 30%) !important;
            background-repeat: repeat-x;
            filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#f25454", endColorstr="#8e0a0a");
            background-image: -khtml-gradient(linear, left top, left bottom, from(#f25454), to(#8e0a0a));
            background-image: -moz-linear-gradient(top, #f25454, #8e0a0a);
            background-image: -ms-linear-gradient(top, #f25454, #8e0a0a);
            background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #f25454), color-stop(100%, #8e0a0a));
            background-image: -webkit-linear-gradient(top, #f25454, #8e0a0a);
            background-image: -o-linear-gradient(top, #f25454, #8e0a0a);
            background-image: linear-gradient(#f25454, #8e0a0a);
            border-color: #8e0a0a #8e0a0a hsl(0, 86%, 21.5%);
            color: #fff !important;
            -webkit-font-smoothing: antialiased;
        }

    .btn-ir {
        background-color: hsl(125, 51%, 26%) !important;
        background-repeat: repeat-x;
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#3bb846", endColorstr="#206426");
        background-image: -khtml-gradient(linear, left top, left bottom, from(#3bb846), to(#206426));
        background-image: -moz-linear-gradient(top, #3bb846, #206426);
        background-image: -ms-linear-gradient(top, #3bb846, #206426);
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #3bb846), color-stop(100%, #206426));
        background-image: -webkit-linear-gradient(top, #3bb846, #206426);
        background-image: -o-linear-gradient(top, #3bb846, #206426);
        background-image: linear-gradient(#3bb846, #206426);
        border-color: #206426 #206426 hsl(125, 51%, 20.5%);
        color: #fff !important;
        text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.36);
        -webkit-font-smoothing: antialiased;
    }

    .btn-irVerde {
        background-color: #00853E !important;
        color: #fff !important;
        text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.42);
        transition: all .2s ease-in-out;
    }

    .btn-Gris {
        background-color: ##d2d2d2 !important;
        color: #020202 !important;
        transition: all .2s ease-in-out;
    }


        .btn-Gris:hover {
            border-color: #226b29 #226b29 hsl(125, 51%, 20%);
            -webkit-font-smoothing: antialiased;
        }

    .hoverShadowGenerado:hover {
        color: rgba(255, 255, 255, 1);
        box-shadow: 0 6px 15px rgba(0, 0, 0, 0.42);
        -webkit-transform: scale(1.1, 1.1);
        -ms-transform: scale(1.1, 1.1);
        transform: scale(1.1, 1.1);
    }

    .hoverShadowBuscar:hover {
        color: rgba(255, 255, 255, 1);
        box-shadow: 0 6px 15px rgba(0, 0, 0, 0.42);
        border: solid;
        border-width: thin;
        border-color: black;
    }

    .btn-Elim {
        background-color: #B50000 !important;
        color: #fff !important;
        text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.42);
    }

    .btn-ir:hover {
        background-color: hsl(125, 51%, 28%) !important;
        background-repeat: repeat-x;
        filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#64cd6d", endColorstr="#226b29");
        background-image: -khtml-gradient(linear, left top, left bottom, from(#64cd6d), to(#226b29));
        background-image: -moz-linear-gradient(top, #64cd6d, #226b29);
        background-image: -ms-linear-gradient(top, #64cd6d, #226b29);
        background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #64cd6d), color-stop(100%, #226b29));
        background-image: -webkit-linear-gradient(top, #64cd6d, #226b29);
        background-image: -o-linear-gradient(top, #64cd6d, #226b29);
        background-image: linear-gradient(#64cd6d, #226b29);
        border-color: #226b29 #226b29 hsl(125, 51%, 20%);
        color: #fff !important;
        text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.52);
        -webkit-font-smoothing: antialiased;
    }


    .btnMenuDash {
        background: #005085 !important;
        color: #fff !important;
        width: 200px;
        height: 100px;
        display: block;
        margin: 20px;
    }

    .menuDashboardIzq {
        width: 300px;
        float: left;
    }

    .menuDashboardDer {
        width: 300px;
        float: left;
    }

    .menuDashboard {
        width: 600px;
        margin-left: auto;
        margin-right: auto;
    }

    .icons_dash {
        font-size: 25px;
        margin-top: 5px;
        display: block;
    }

    .selectorHora {
        margin-top: 5px;
    }

    .selectorSwitcher {
        margin-top: 2px;
    }

    .selectorFecha {
        margin-left: 6%;
    }

    .bordeTop {
        border-top: 1px solid black;
        margin-left: 1px;
        margin-right: 1px;
    }

    [ng\:cloak], [ng-cloak], [data-ng-cloak], [x-ng-cloak], .ng-cloak, .x-ng-cloak {
        display: none !important;
    }

    .espacioCalendario {
        margin-top: 2%;
    }

    .loadingImg {
        background-image: url("img/img/loading.gif");
    }

    .buscadorCategorias {
        border: solid;
        border-width: thin;
        border-color: #005085;
    }

    .txtNombreCategoria {
        margin-right: 10px;
    }

    .breadBold {
        font-weight: bold;
    }


    .vertical-align {
        vertical-align: middle !important;
    }

    .navCollapse {
        background: #2185a0;
        border-radius: 4px;
        color: white !important;
        font-weight: bold !important;
    }

        .navCollapse a {
            color: white !important;
            margin-left: 10px;
            margin-top: 5px;
            margin-bottom: 5px;
            margin-right: 5px;
            font-weight: bold;
            text-decoration: none !important;
        }

            .navCollapse a:hover {
                text-decoration: none !important;
            }

    .navPeriodo {
        margin-top: 10px;
    }

    .togCollapse {
        margin-right: 10px;
    }

    .fc-event {
        background-color: #004379 !important;
    }

    .modal {
        text-align: center;
        padding: 0 !important;
    }

        .modal:before {
            content: '';
            display: inline-block;
            height: 100%;
            vertical-align: middle;
            margin-right: -4px;
        }

    .modal-dialog {
        display: inline-block;
        text-align: left;
        vertical-align: middle;
    }

    span.fc-title {
        cursor: pointer;
    }

    .fc-content {
        cursor: pointer;
    }

    .letraCentrado {
        text-align: center;
    }

    .letraIzquierda {
        text-align: left !important;
    }

    .tituloLogueo {
        color: #005085;
    }

    .bordeadoLogin {
        border-bottom: solid;
        border-bottom-width: thin;
        border-bottom-color: #005085;
    }

    .margenlogueo {
        margin-top: 10px;
    }

    .centradoLoginDiv {
        margin-top: 10%;
        background-color: rgba(0, 0, 0, 0.1);
        box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .altoHeader {
        height: 80px;
    }

    .posicionLogo {
        margin-left: 77px;
        margin-bottom: 10px;
    }

    .nombreUsuarioSpan a:hover {
        color: white !important;
    }

    .paginaInvalidaMargen {
        margin-top: 40px;
    }

    .posicionPaginado {
        border-top: solid;
        border-color: #005085;
        border-width: thin;
        margin-top: 1px;
    }

    .contenedorLogueo .container {
        max-width: 494px;
        margin-top: 4%;
    }

    .bordesTitulo {
        border-radius: 2px;
    }

    #datosLogueo {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        max-width: 500px;
        background-color: rgba(0, 0, 0, 0.1);
        padding-top: 20px;
        padding-bottom: 20px;
        box-shadow: 0 14px 18px 0 rgba(0, 0, 0, 0.4), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    .labelTotalRegistros {
        width: 95%;
    }

    .rowTotalRegistros p {
        margin-top: 6%;
        font-size: 12px;
    }

    .categoriasMantenimiento {
        overflow-y: auto !important;
        height: 500px !important;
    }

    .usuariosMantenimiento {
        overflow-y: auto !important;
        height: 250px !important;
    }

    .campoPassword {
        width: 93%;
        margin-left: 4%;
    }

    .passwordSpan {
        margin-left: 4%;
    }

    .selectedRowTable {
        background-color: steelblue;
    }

    .estadoBuscarCat {
        margin-top: 9%;
    }

    .btnIrMigracion {
        margin-top: 10px;
        float: right;
    }

    .switchMigracion {
        margin-left: 47% !important;
    }

    .tablaUsuariosNotificar {
        border-left-color: darkblue;
        border-left-width: thin;
        border-left-style: inset;
    }

    .inhabilitarLink {
        pointer-events: none;
        cursor: default;
    }

    .evSedeBusqueda {
        margin-top: 25px;
    }


    .divLeft {
        padding-left: 10px;
        padding-top: 10px;
        margin-left: 57px;
        float: left;
        position: relative;
        width: 45%;
        height: auto;
    }

    .divRight {
        padding-top: 10px;
        padding-left: 10px;
        margin-left: 10px;
        position: relative;
        float: left;
        width: 45%;
        height: auto;
    }

    .enLinea {
        display: inline-block;
    }

    .vineta {
        position: relative;
        top: -24px;
        font-size: large;
    }

    .divLeftLargo {
        /*padding-left: 10px;*/
        padding-top: 10px;
        /*margin-left: 57px;*/
        float: left;
        position: relative;
        width: 70%;
        height: auto;
    }

    .divRightCorto {
        padding-top: 10px;
        padding-left: 10px;
        margin-left: 10px;
        position: relative;
        float: left;
        width: 28%;
        height: auto;
    }

    .error {
        border: solid red 1px;
    }


    .wide-100 {
        width: 100%;
    }

    .wide-5 {
        width: 5%;
    }

    .wide-7 {
        width: 7%;
    }

    .wide-350 {
        width: 350px;
    }

    .wide-20 {
        width: 20%;
    }

    .wide-15 {
        width: 15%;
    }

    .wide-90 {
        width: 90px;
    }

    .wide-140 {
        width: 140px;
    }

    .wide-95p {
        width: 95px;
    }

    .tituloInicio {
        background-image: linear-gradient(-180deg, #FFFFFF 65%, #CCD9E4 100%);
        border: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
        color: #005085;
        font-weight: bold;
        margin-bottom: 0px !important;
        padding: 5px 0px 0px 27px !important;
        text-align: center;
    }

    .box {
        height: 200px;
        border: 10px solid transparent;
        border-image: linear-gradient(to bottom right, #FFFFFF 65%, #CCD9E4 100%);
        border-image-slice: 1;
    }

    .dropdown-menu > li > a {
        background: whitesmoke;
        color: #005085 !important;
    }

    .navbar-inverse .navbar-nav > .open > a, .navbar-inverse .navbar-nav > .open > a:hover, .navbar-inverse .navbar-nav > .open > a:focus {
        background-color: #1a3565;
    }

   /* .dropdown-menu {
        background-color: #f5f5f5;
    }*/


    .accordion-container {
        width: 100%;
        margin: 0 0 20px;
        clear: both;
    }

    .fast .toggle-group {
        transition: left 0.1s;
        -webkit-transition: left 0.1s;
    }

    .selected {
        background-color: #CCD9E4 !important;
        font-weight: bold;
    }

    .colorError {
        color: #FF0004;
    }

    .colorValido {
        color: #00A41E;
    }


    .margin-top-20 {
        margin-top: 20px;
    }



    /**Estilo de Acordion*/
    body {
        padding: 0px 0 50px 0;
        background: #fff;
    }

    .estiloAcordion {
        background-image: linear-gradient(-180deg, #FFFFFF 65%, #CCD9E4 100%);
        border: 1px solid #8BA2BD;
        -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
        box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.05);
        margin-bottom: 0px !important;
        padding: 5px 0px 0px 27px !important;
        text-align: left;
    }

    .tituloacordion h2, h3, h4 {
        margin-top: 2px;
        margin-bottom: 1px;
    }

    .wrapper {
        width: 100%;
    }

    @media(max-width:992px) {
        .wrapper {
            width: 100%;
        }
    }

    .panel-heading {
        padding: 0;
        border: 0;
        padding-bottom: 0;
        padding-top: 0;
    }

    .panel-title > a, .panel-title > a:active {
        display: block;
        padding: 15px;
        color: black;
        font-size: 15px;
        font-weight: bold;
        letter-spacing: 1px;
        word-spacing: 3px;
        text-decoration: none;
    }



    .panel-titleGestionTransportes > a, .panel-titleZomm > a:active {
        display: block;
        padding: 15px;
        letter-spacing: 1px;
        text-decoration: none;
        font-weight: bold;
    }

    .panel-heading a:before {
        font-family: 'Glyphicons Halflings';
        content: "\e114";
        color: #005085;
        float: right;
        transition: all 0.5s;
    }

    .panel-heading.active a:before {
        -webkit-transform: rotate(180deg);
        -moz-transform: rotate(180deg);
        transform: rotate(180deg);
    }

    .panel-group .panel + .panel {
        margin-top: 0;
    }
    /**Estilo de Acordion*/

    /**Tamaño de container en tamaños de pantalla mayores a 1200*/
    @media screen and (min-width: 1200px) and (max-width: 2000px) {
        .container {
            width: 92%;
        }
    }


    #imgLogTec {
        background-image: url('img/banner-logueo.png');
        height: 100px !important;
        border-radius: 3px;
        box-shadow: 0 14px 18px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    }

    #datosLogueo a {
        cursor: pointer !important;
    }


    .Cabeceraheader {
        background: #004379;
        height: 52px;
    }

    .CabeceraSistema {
        background: #ffffff;
        box-shadow: 0 2px 4px 0 rgba(0,0,0,0.20);
        text-align: center;
        margin-top: 2px;
    }

    .ImagenCabecera {
        text-align: center;
        /*margin-left:-60px;
    margin-top: 5px;*/
    }

    .ImagenUsuario {
        border-radius: 100%;
        width: 36px;
        height: 36px;
    }

    .CuadroPerfil {
        margin-right: 67px;
        margin-top: -45px;
    }

        .CuadroPerfil div {
            width: 150px;
            margin: 10px auto;
        }

    .btn_Perfil {
        color: #005085 !important;
        margin: 10px auto;
    }

    .PosicionImagenUsuario {
        float: left;
        margin-top: 8px;
        margin-left: 15px;
    }

    .ContenedorMenu {
        /*box-shadow: 0 2px 4px 0 rgba(0,0,0,0.20);
    margin: 0 0 0 20px;
    border-radius: 5px;
     width: 300px;*/
    }

    .NombreUsuario {
        width: 130px;
        display: block;
        margin: 5px auto;
    }

        .NombreUsuario a {
            font-style: normal;
            color: white !important;
            display: block;
            width: 150px;
            margin: 5px auto;
        }

/* SOLO dentro del dropdown */
.CerrarSesionMenu .NombreUsuario {
    font-weight: 600; /* o 700 si lo querés más fuerte */
    color: #333 !important;
    width: auto;
    margin: 8px auto;
    text-align: center;
}

    /* Por si el nombre viene dentro de un <a> */
    .CerrarSesionMenu .NombreUsuario a {
        color: #333 !important;
    }

.PerfilDropdown {
    background-color: #f2f2f2; /* gris */
    padding: 15px 12px;
    border-radius: 12px;
}

.imgPerfilDropdown {
    width: 80px;
    height: 80px;
    margin-bottom: 10px;
}

.CerrarSesionLink {
    font-size: 13px;
    padding: 0;
}

.CerrarSesionBtn {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    padding: 6px 12px;
    border: 1px solid #0d6efd;
    border-radius: 6px;
    font-size: 13px;
    color: #0d6efd;
    background-color: #fff;
    text-decoration: none;
}

    .CerrarSesionBtn:hover {
        background-color: #0d6efd;
        color: #fff;
        text-decoration: none;
    }

.NavbarMobile {
    justify-content: flex-start !important;
    gap: 10px; /* controla el espacio entre botones */
}


    .divCentro {
        position: absolute;
        top: 50%;
        left: 40%;
        width: 600px;
        margin-left: -200px;
        height: 450px;
        margin-top: -400px;
        padding: 5px;
    }


    .LetraPaneles {
        display: block;
        padding: 15px;
        color: #005085;
        font-size: 16px;
        font-weight: bold;
        text-decoration: none;
    }


    .modal-open, .navbar-fixed-top, .navbar-fixed-bottom {
        margin-right: 0px !important;
    }

.modal {
    overflow-y: hidden !important;
}


    .BotonMenu {
        position: relative;
        float: right;
        padding: 9px 10px;
        margin: 4px 0 0 20px;
        background-color: transparent;
        background-image: none;
        border: 1px solid #8ba2bd;
        border-radius: 4px;
        float: left;
        left: 6px;
        width: 42px;
        height: 31px;
    }

        .BotonMenu .icon-bar {
            display: block;
            width: 20px;
            height: 2px;
            border-radius: 0px;
        }

    .icobar2 {
        background: #004379;
        margin-left: 0px;
    }

    .margin-bottom-3px {
        margin-bottom: 3px;
    }




    .icon-1.open, .icon-2.open, .icon-3.open {
        -webkit-transition: .2s ease;
        -ms-transition: .2s ease;
        -moz-transition: .2s ease;
        -o-transition: .2s ease;
        transition: .2s ease;
        transform-origin: 20% 50%;
    }

    .icon-1.open {
        top: 25px;
        width: 23px;
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -o-transform: rotate(45deg);
    }

    .icon-2.open {
        opacity: 0;
    }

    .icon-3.open {
        top: 25px;
        width: 23px;
        transform: rotate(-45deg);
    }

    .lblAdmin {
        color: red;
    }

    .PosicionMenu {
        float: right;
        height:50px
    }

    .validacionFormatoArchivo {
        color: red;
    }

    .PosicionImgHeaderInterno {
        float: left;
        margin-top: 5px;
    }

@media(max-width:992px) {
    .navbar-collapse {
        text-align: left;
        background-color: #004379;
        width: auto;
    }
}

.parametrosInputs{
    padding-top:1%;
}

/*Controles del mapa*/
#map {
    height: 350px;
    width:60%;
}

#mapPasajeros {
    height: 0;
    width: 0;
}

#mapProgramacion {
    height: 350px;
    width: 60%;
}

#origin-input,
#destination-input,
#lugarSalida-input,
#lugarLlegada-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    /*margin-left: 12px;*/
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 300px;
}

    #origin-input:focus,
    #destination-input:focus,
    #lugarSalida-input:focus,
    #lugarLlegada-input:focus {
        border-color: #4d90fe;
    }

.controls {
    background-color: #fff;
    border-radius: 2px;
    border: 1px solid transparent;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    height: 29px;
    margin-left: 17px;
    margin-top: 10px;
    outline: none;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 400px;
}

    .controls:focus {
        border-color: #4d90fe;
    }

.title {
    font-weight: bold;
}

#infowindow-content {
    display: none;
}

#mapPasajeros #infowindow-content {
    display: inline;
}

/*section quita icono de muñequito para arrastras center el mapa*/
.gm-svpc {
    display: none;
}

.divLabel {
    padding-bottom: 10px;
    padding-left: 10px;
}


/* The side navigation menu */
.sidenav {
    height: 100%; /* 100% Full-height */
    width: 200px; /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 1; /* Stay on top */
    top: 0; /* Stay at the top */
    left: 0;
    background-color: #eeeeee; /* Black*/
    overflow-x: hidden; /* Disable horizontal scroll */
    padding-top: 60px; /* Place content 60px from the top */
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
}

    /* The navigation menu links */
    .sidenav a {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 25px;
        color: #818181;
        display: block;
        transition: 0.3s;
    }

        /* When you mouse over the navigation links, change their color */
        .sidenav a:hover {
            color: #f1f1f1;
        }

    /* Position and style the close button (top right corner) */
    .sidenav .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 36px;
        margin-left: 50px;
    }


/*** Caja de check Box ***/
.checkbox-group {
    display: flex;
    flex-direction: column;
    gap: 10px; /* Espaciado entre cada checkbox */
    max-width: 400px; /* Ajusta el ancho máximo si deseas */
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
    align-items: center; /* Centra horizontalmente el contenido */
    justify-content: center;
    margin: 0 auto; /* Centra horizontalmente si el contenedor tiene un ancho fijo */
}

.checkbox-item {
    display: flex;
    align-items: center;
}

    .checkbox-item input[type="checkbox"] {
        margin-right: 10px;
        transform: scale(1.2); /* Hace el checkbox un poco más grande */
    }

    .checkbox-item label {
        font-weight: 500;
        font-size: 14px;
    }

.subtabla-indentada {
    padding-left: 2rem;
}

@keyframes deslizar {
    0% {
        transform: translateX(0);
    }

    50% {
        transform: translateX(10px); /* Mueve el botón a la derecha */
    }

    100% {
        transform: translateX(0);
    }
}

#btnInicioViaje {
    animation: deslizar 1s infinite; /* Duración de 1 segundo y se repite indefinidamente */
}

#btnViajeIniciado {
    animation: deslizar 1s infinite; /* Duración de 1 segundo y se repite indefinidamente */
}

.informacionCalendar {
    color: white;
    padding: 6px;
    line-height: 1.5;
    font-size: 14px;
    font-weight: 500;
}

/***  ICONO EN LA PARTE DE CAMPO FECHA QUE SE DESARROLLO CON flatpickr ***/
.input-con-icono {
    position: relative;
    display: inline-block;
    width: 250px; /* ajusta según tu diseño */
}

.input-con-icono input {
    width: 100%;
    padding-right: 35px; /* deja espacio para el ícono */
    box-sizing: border-box;
}

.input-con-icono .icono-input {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    color: #888;
    pointer-events: none; /* para que el ícono no bloquee clics */
}

/* ESTRELLAS */
.rating {
    direction: rtl;
    unicode-bidi: bidi-override;
    font-size: 2rem;
    display: inline-flex;
}

    .rating input {
        display: none;
    }

    .rating label {
        color: #ddd;
        cursor: pointer;
    }

        .rating input:checked ~ label,
        .rating label:hover,
        .rating label:hover ~ label {
            color: gold;
        }

/* SOLO LECTURA: ESTRELLAS */
    .rating.readonly label {
        cursor: default; /* que no aparezca como clickeable */
    }

        .rating.readonly label:hover,
        .rating.readonly label:hover ~ label {
            color: inherit; /* no cambia el color */
        }

#CerrarSesion {
    z-index: 1055;
} 